<template>
    <div class="dialog-table-container">
        <el-table
            :element-loading-background="loadingColor"
            v-loading="loading"
            height="65vh"
            align="center"
            :data="tableData"
            class="dialog_table"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
        >
            <el-table-column
                type="index"
                label="序号"
                width="50"
            ></el-table-column>
            <el-table-column prop="unitName" label="部门" width="180">
            </el-table-column>
            <el-table-column prop="demandNum" label="提出需求" width="180">
            </el-table-column>
            <el-table-column
                prop="projectNum"
                label="转化为重大项目"
            ></el-table-column>
            <el-table-column
                prop="listNum"
                label="转化为清单"
            ></el-table-column>
            <el-table-column
                prop="qualityRate"
                label="质效指数"
            ></el-table-column>
            <el-table-column prop="listRank" label="排名"> </el-table-column>
        </el-table>
    </div>
</template>

  <script>
import apiList from '@/api/bigScreen/districView.js'
export default {
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            tableData: [],
        }
    },
    mounted() {
        this.getData()
    },
    methods: {
        getData() {
            this.loading = true
            let data = JSON.parse(sessionStorage.getItem('searchDate'))
            console.log(data)
            // 综合
            apiList.getDemandHeatList(data, (res) => {
                this.tableData = res.demandRank
                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped>
.column-item-rotate{
    display: inline-block;
    transform: rotateX(180deg);
}
.cqlt-icon-arrow{
    font-size: 18px;
}
.column-trend-icon-1 {
    color: #59c06c;
    text-shadow: #59c06c 1px 0 12px;
}
.column-trend-icon-2 {
    color: #fe3b30;
    text-shadow: #fe3b30 1px 0 12px;
}

</style>
<style lang="scss">
@import './table.scss';
</style>
